Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.chrono
Class AssembledChronology.Fields

    java.lang.Object
      org.joda.time.chrono.AssembledChronology.Fields

Enclosing class:
  AssembledChronology

    public static final class AssembledChronology.Fields

extends java.lang.Object

A container of fields used for assembling a chronology.

Field Summary
`DurationField` | `centuries`
`DateTimeField` | `centuryOfEra`
`DateTimeField` | `clockhourOfDay`
`DateTimeField` | `clockhourOfHalfday`
`DateTimeField` | `dayOfMonth`
`DateTimeField` | `dayOfWeek`
`DateTimeField` | `dayOfYear`
`DurationField` | `days`
`DateTimeField` | `era`
`DurationField` | `eras`
`DateTimeField` | `halfdayOfDay`
`DurationField` | `halfdays`
`DateTimeField` | `hourOfDay`
`DateTimeField` | `hourOfHalfday`
`DurationField` | `hours`
`DurationField` | `millis`
`DateTimeField` | `millisOfDay`
`DateTimeField` | `millisOfSecond`
`DateTimeField` | `minuteOfDay`
`DateTimeField` | `minuteOfHour`
`DurationField` | `minutes`
`DateTimeField` | `monthOfYear`
`DurationField` | `months`
`DateTimeField` | `secondOfDay`
`DateTimeField` | `secondOfMinute`
`DurationField` | `seconds`
`DateTimeField` | `weekOfWeekyear`
`DurationField` | `weeks`
`DateTimeField` | `weekyear`
`DateTimeField` | `weekyearOfCentury`
`DurationField` | `weekyears`
`DateTimeField` | `year`
`DateTimeField` | `yearOfCentury`
`DateTimeField` | `yearOfEra`
`DurationField` | `years`

Method Summary
`void` | `copyFieldsFrom(Chronology chrono)` Copy the supported fields from a chronology into this container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### millis

    public DurationField millis

### seconds

    public DurationField seconds

### minutes

    public DurationField minutes

### hours

    public DurationField hours

### halfdays

    public DurationField halfdays

### days

    public DurationField days

### weeks

    public DurationField weeks

### weekyears

    public DurationField weekyears

### months

    public DurationField months

### years

    public DurationField years

### centuries

    public DurationField centuries

### eras

    public DurationField eras

### millisOfSecond

    public DateTimeField millisOfSecond

### millisOfDay

    public DateTimeField millisOfDay

### secondOfMinute

    public DateTimeField secondOfMinute

### secondOfDay

    public DateTimeField secondOfDay

### minuteOfHour

    public DateTimeField minuteOfHour

### minuteOfDay

    public DateTimeField minuteOfDay

### hourOfDay

    public DateTimeField hourOfDay

### clockhourOfDay

    public DateTimeField clockhourOfDay

### hourOfHalfday

    public DateTimeField hourOfHalfday

### clockhourOfHalfday

    public DateTimeField clockhourOfHalfday

### halfdayOfDay

    public DateTimeField halfdayOfDay

### dayOfWeek

    public DateTimeField dayOfWeek

### dayOfMonth

    public DateTimeField dayOfMonth

### dayOfYear

    public DateTimeField dayOfYear

### weekOfWeekyear

    public DateTimeField weekOfWeekyear

### weekyear

    public DateTimeField weekyear

### weekyearOfCentury

    public DateTimeField weekyearOfCentury

### monthOfYear

    public DateTimeField monthOfYear

### year

    public DateTimeField year

### yearOfEra

    public DateTimeField yearOfEra

### yearOfCentury

    public DateTimeField yearOfCentury

### centuryOfEra

    public DateTimeField centuryOfEra

### era

    public DateTimeField era

Method Detail

### copyFieldsFrom

    public void copyFieldsFrom(Chronology chrono)

  Copy the supported fields from a chronology into this container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD